﻿within TILMedia.UsersGuide;
class SubstanceNames "Substance Names"
    extends TILMedia.Internals.ClassTypes.Information;



/***********************************************************************/
/*						CODE-GENERATED FILE							*/
/*  Do not edit this file but:												*/
/*  TILMediaSuite/documentation/codegen/scriptModelicaTILMediaSubstanceNames.input.	*/
/***********************************************************************/

annotation(DocumentationClass=true,
     Documentation(info="<html>

<h4>Gas Names TILMedia</h4>
The following ideal Gases are usable in the given temperatur range.<br><br>
T_min - Minimum usable temperature °C.<br>
T_max - Maximum usable temperature °C.<br><br>
<table border=\"1\">
    <tr><th>Substance name</th><th>T_min</th><th>T_max</th><th>Description</th></tr>
    <tr><td>TILMedia.Ash </td><td>-173.1 </td><td>9726.9 </td><td> </td></tr>
    <tr><td>TILMedia.DieselExhaustGas_1.5 </td><td>-20.0 </td><td>1050.0 </td><td> </td></tr>
    <tr><td>TILMedia.DryAir </td><td>-60.0 </td><td>200.0 </td><td> </td></tr>
    <tr><td>TILMedia.ExhaustGas_Lambda_1 </td><td>-20.0 </td><td>1050.0 </td><td>Intended for gasoline/petrol exhaust gas with lambda value equal one </td></tr>
    <tr><td>TILMedia.SimpleDryAir </td><td>-272.1 </td><td>3726.8 </td><td>Constant/linear model (cp = 1003.7 J/kg) </td></tr>
    <tr><td>TILMedia.SimpleWater </td><td>-73.1 </td><td>426.9 </td><td>Constant/linear model (cp = 1920 J/kg) </td></tr>
    <tr><td>TILMedia.SimpleWater2 </td><td>-272.1 </td><td>3726.8 </td><td>Constant/linear model (cp = 1863 J/kg) </td></tr>
    <tr><td>TILMediaXTR.Ammonia </td><td>-232.6 </td><td>2726.8 </td><td>Ammonia </td></tr>
    <tr><td>TILMediaXTR.Argon </td><td>-258.1 </td><td>2726.8 </td><td>Argon </td></tr>
    <tr><td>TILMediaXTR.Carbon_Dioxide </td><td>-132.1 </td><td>2726.8 </td><td>Carbon dioxide </td></tr>
    <tr><td>TILMediaXTR.Carbon_Monoxide </td><td>-259.9 </td><td>2726.8 </td><td>Carbon monoxide </td></tr>
    <tr><td>TILMediaXTR.DryAir </td><td>-259.9 </td><td>2726.8 </td><td>Dry air </td></tr>
    <tr><td>TILMediaXTR.ExhaustGas </td><td> </td><td> </td><td> </td></tr>
    <tr><td>TILMediaXTR.Hydrogen </td><td>-269.8 </td><td>2726.8 </td><td>Hydrogen </td></tr>
    <tr><td>TILMediaXTR.Methane </td><td>-254.1 </td><td>2726.8 </td><td>Methane </td></tr>
    <tr><td>TILMediaXTR.Nitrogen </td><td>-260.5 </td><td>2726.8 </td><td>Nitrogen </td></tr>
    <tr><td>TILMediaXTR.Nitrous_Oxide </td><td>-242.2 </td><td>2726.8 </td><td>Nitrous oxide </td></tr>
    <tr><td>TILMediaXTR.Oxygen </td><td>-257.7 </td><td>2726.8 </td><td>Oxygen </td></tr>
    <tr><td>TILMediaXTR.Sulfur_Dioxide </td><td>-230.1 </td><td>2726.8 </td><td>Sulfur dioxide </td></tr>
    <tr><td>TILMediaXTR.Water </td><td>-208.4 </td><td>2726.8 </td><td>Water </td></tr>
    <tr><td>VDI4670.ARGON </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.CARBON_DIOXIDE </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.CARBON_MONOXIDE </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.DRYAIR </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.NEON </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.NITROGEN </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.OXYGEN </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.SULPHUR_DIOXIDE </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
    <tr><td>VDI4670.WATER </td><td>-73.1 </td><td>2726.8 </td><td> </td></tr>
</table><br><br>

<h4>Moist Air Names</h4>
<table border=\"1\">
    <tr>
        <th>Substance name</th>
        <th>Comment</th>
    </tr>
    <tr>
        <td>TILMedia.MoistAir </td>
        <td>Moist air: water-dry-air-mixture (water at position one) </td>
    </tr>
    <tr>
        <td>VDI4670.MoistAir </td>
        <td>Moist air: water-dry-air-mixture (water at position one) </td>
    </tr>
    <tr>
        <td>TILMediaXTR.MoistAir </td>
        <td>Moist air with extended temperature range: 64.7 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) </td>
    </tr>
    <tr>
        <td>VDIWA2006.Water|VDIWA2006.DryAir </td>
        <td>This 'Simple Moist Air' is almost like 'Detailed Moist Air' defined as \"VDIWA2006.Water|VDIWA2006.Nitrogen|VDIWA2006.Oxygen\" with default mixing ratio = {0.001, 0.7, 0.3} </td>
    </tr>
</table><br><br>

<h4>Liquid Names TILMedia and IIR_SWF</h4>
The following incompressible Liquids / secondary working fluids (SWF) are usually based on data sheets by manufacturer.<br>
In the below table are all available Liquid names listed plus information about the valid/usable range and accuracy.<br><br>
T_data_min - Minimum temperature based on data sheet by manufacturer in °C.<br>
T_data_max - Maximum temperature based on data sheet by manufacturer in °C.<br>
T_min - Minimum usable temperature °C.<br>
T_max - Maximum usable temperature °C.<br><br>
<table border=\"1\">
    <tr><th>Substance name</th><th>T_data_min</th><th>T_data_max</th><th>T_min</th><th>T_max</th><th>Description</th></tr>
    <tr><td>TILMedia.AddinolXW15 </td><td>-20.0 </td><td>300.0 </td><td>-33.1 </td><td>326.9 </td><td>Addinol heat transfer oil XW 15 </td></tr>
    <tr><td>TILMedia.Baysilone_KT_10 </td><td>-60.0 </td><td>240.0 </td><td>-60.4 </td><td>240.4 </td><td>Baysilone KT 10, Low-viscosity silicone heat transfer fluid. Produced by Bayer. (R²_cp=0.9999724, R²_rho=0.9999708, R²_eta=0.9999565, R²_lambda=0.9997356) </td></tr>
    <tr><td>TILMedia.Baysilone_KT_20 </td><td>-60.0 </td><td>240.0 </td><td>-64.2 </td><td>240.4 </td><td>Baysilone KT 20, Low-viscosity silicone heat transfer fluid. Produced by Bayer. (R²_cp=0.9999833, R²_rho=0.9999857, R²_eta=0.9999922, R²_lambda=0.9998325) </td></tr>
    <tr><td>TILMedia.Baysilone_KT_3 </td><td>-60.0 </td><td>240.0 </td><td>-60.4 </td><td>240.4 </td><td>Baysilone KT 3, Low-viscosity silicone heat transfer fluid. Produced by Bayer. (R²_cp=0.9970532, R²_rho=0.9999504, R²_eta=0.9999942, R²_lambda=0.9998028) </td></tr>
    <tr><td>TILMedia.Baysilone_KT_5 </td><td>-60.0 </td><td>240.0 </td><td>-61.0 </td><td>240.4 </td><td>Baysilone KT 5, Low-viscosity silicone heat transfer fluid. Produced by Bayer. (R²_cp=0.9999645, R²_rho=0.9999700, R²_eta=0.9999698, R²_lambda=0.9998604) </td></tr>
    <tr><td>TILMedia.Dowtherm_A </td><td>15.6 </td><td>415.6 </td><td>13.1 </td><td>428.1 </td><td>Dowtherm A, heat transfer fluid. Produced by Dow. (R²_cp=0.9998969, R²_rho=0.9999998, R²_eta=0.9999959, R²_lambda=0.9999986) </td></tr>
    <tr><td>TILMedia.Dynalene_600 </td><td>70.0 </td><td>287.8 </td><td>68.0 </td><td>297.8 </td><td>Dynalene 600, high temperature silicone heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999787, R²_rho=0.9999796, R²_eta=0.9999950, R²_lambda=0.9999852) </td></tr>
    <tr><td>TILMedia.Dynalene_FC-Bio </td><td>-34.4 </td><td>115.6 </td><td>-36.4 </td><td>125.6 </td><td>Dynalene FC-Bio, low electrical conductivity, water-based fuel cell coolant with nano particles. Produced by Dynalene. (R²_cp=0.9995178, R²_rho=0.9999993, R²_eta=0.9999999, R²_lambda=0.9969481) </td></tr>
    <tr><td>TILMedia.Dynalene_FC-EG </td><td>-28.9 </td><td>115.6 </td><td>-30.9 </td><td>125.6 </td><td>Dynalene FC-EG, low electrical conductivity, water-based fuel cell coolant with nano particles. Produced by Dynalene. (R²_cp=0.9987529, R²_rho=0.9999947, R²_eta=0.9999975, R²_lambda=0.9988012) </td></tr>
    <tr><td>TILMedia.Dynalene_HC-FG10 </td><td>-10.0 </td><td>218.3 </td><td>-12.0 </td><td>228.3 </td><td>Dynalene HC-FG10, low temperature, high-performance heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999619, R²_rho=0.9997986, R²_eta=0.9999310, R²_lambda=0.9999625) </td></tr>
    <tr><td>TILMedia.Dynalene_HC-FG20 </td><td>-20.0 </td><td>218.3 </td><td>-22.5 </td><td>230.8 </td><td>Dynalene HC-FG20, low temperature, high-performance heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999556, R²_rho=0.9998634, R²_eta=0.9999424, R²_lambda=0.9999669) </td></tr>
    <tr><td>TILMedia.Dynalene_HC-FG30 </td><td>-30.0 </td><td>218.3 </td><td>-32.0 </td><td>228.3 </td><td>Dynalene HC-FG30, low temperature, high-performance heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999551, R²_rho=0.9998802, R²_eta=0.9999487, R²_lambda=0.9999674) </td></tr>
    <tr><td>TILMedia.Dynalene_HC-FG40 </td><td>-40.0 </td><td>218.3 </td><td>-42.0 </td><td>228.3 </td><td>Dynalene HC-FG40, low temperature, high-performance heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999875, R²_rho=0.9999031, R²_eta=0.9999736, R²_lambda=0.9999633) </td></tr>
    <tr><td>TILMedia.Dynalene_HC-FG50 </td><td>-50.0 </td><td>218.3 </td><td>-52.0 </td><td>228.3 </td><td>Dynalene HC-FG50, low temperature, high-performance heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999417, R²_rho=0.9999068, R²_eta=0.9999625, R²_lambda=0.9997939) </td></tr>
    <tr><td>TILMedia.Dynalene_HF-LO </td><td>-73.3 </td><td>176.7 </td><td>-75.3 </td><td>186.7 </td><td>Dynalene HF-LO, high flash, non-toxic, low temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999849, R²_rho=0.9999391, R²_eta=0.9999988, R²_lambda=0.9999959) </td></tr>
    <tr><td>TILMedia.Dynalene_HT </td><td>20.0 </td><td>350.0 </td><td>18.0 </td><td>360.0 </td><td>Dynalene HT, high temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999910, R²_rho=0.9999572, R²_eta=0.9999981, R²_lambda=0.9999861) </td></tr>
    <tr><td>TILMedia.Dynalene_LO-170 </td><td>-40.0 </td><td>193.3 </td><td>-42.0 </td><td>203.3 </td><td>Dynalene LO-170, non-toxic, low odor, low temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999796, R²_rho=0.9998397, R²_eta=0.9999872, R²_lambda=0.9999961) </td></tr>
    <tr><td>TILMedia.Dynalene_LO-230 </td><td>0.0 </td><td>204.4 </td><td>-2.0 </td><td>214.4 </td><td>Dynalene LO-230, high flash, non-toxic, low temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999914, R²_rho=0.9998942, R²_eta=0.9998954, R²_lambda=0.9999869) </td></tr>
    <tr><td>TILMedia.Dynalene_MT </td><td>0.0 </td><td>325.0 </td><td>-2.0 </td><td>335.0 </td><td>Dynalene MT, high temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999732, R²_rho=0.9999997, R²_eta=0.9997275, R²_lambda=0.9999671) </td></tr>
    <tr><td>TILMedia.Dynalene_MV </td><td>-112.2 </td><td>162.8 </td><td>-114.2 </td><td>172.8 </td><td>Dynalene MV, ultra-low temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999836, R²_rho=0.9999557, R²_eta=1.0000000, R²_lambda=0.9994927) </td></tr>
    <tr><td>TILMedia.Dynalene_SF </td><td>0.0 </td><td>315.6 </td><td>-2.5 </td><td>328.1 </td><td>Dynalene SF, high temperature heat transfer fluid. Produced by Dynalene. (R²_cp=0.9999876, R²_rho=0.9999480, R²_eta=0.9999870, R²_lambda=0.9999699) </td></tr>
    <tr><td>TILMedia.Dynalene_Solar_Glycol-XT </td><td>-23.3 </td><td>104.4 </td><td>-25.3 </td><td>114.4 </td><td>Dynalene Solar Glycol-XT, BioGlycol heat transfer fluid. Produced by Dynalene. (R²_cp=0.9971698, R²_rho=0.9999974, R²_eta=0.9999959, R²_lambda=0.9979960) </td></tr>
    <tr><td>TILMedia.Fragoltherm_FG-35 </td><td>-10.0 </td><td>340.0 </td><td>-12.5 </td><td>352.5 </td><td>Fragoltherm FG-35, heat transfer fluid. Produced by Fragol. (R²_cp=0.9999295, R²_rho=0.9999869, R²_eta=0.9999313, R²_lambda=0.9993092) </td></tr>
    <tr><td>TILMedia.Fragoltherm_FG-8 </td><td>-45.0 </td><td>280.0 </td><td>-48.3 </td><td>296.7 </td><td>Fragoltherm FG-8, heat transfer fluid. Produced by Fragol. (R²_cp=0.9999993, R²_rho=0.9999697, R²_eta=1.0000000, R²_lambda=0.9994924) </td></tr>
    <tr><td>TILMedia.Fragoltherm_Q-7 </td><td>-45.0 </td><td>280.0 </td><td>-48.3 </td><td>296.7 </td><td>Fragoltherm Q-7, heat transfer fluid. Produced by Fragol. (R²_cp=0.9999993, R²_rho=0.9999697, R²_eta=1.0000000, R²_lambda=0.9994924) </td></tr>
    <tr><td>TILMedia.Fragoltherm_S-250 </td><td>5.0 </td><td>270.0 </td><td>3.0 </td><td>280.0 </td><td>Fragoltherm S-250, heat transfer fluid. Produced by Fragol. (R²_cp=0.9999888, R²_rho=0.9999800, R²_eta=1.0000000, R²_lambda=0.9943906) </td></tr>
    <tr><td>TILMedia.Fragoltherm_X-TT </td><td>-110.0 </td><td>230.0 </td><td>-112.0 </td><td>240.0 </td><td>Fragoltherm X-TT, heat transfer fluid. Produced by Fragol. (R²_cp=1.0000000, R²_rho=0.9999999, R²_eta=0.9999961, R²_lambda=0.9999037) </td></tr>
    <tr><td>TILMedia.Fragol_Purity_FG-HTF </td><td>-10.0 </td><td>340.0 </td><td>-12.0 </td><td>350.0 </td><td>Fragol Purity FG-HTF, heat transfer fluid. Produced by Fragol. (R²_cp=0.9999324, R²_rho=0.9999802, R²_eta=0.9999986, R²_lambda=0.9975104) </td></tr>
    <tr><td>TILMedia.Freezium_-60C </td><td>-55.0 </td><td>-10.0 </td><td>-57.0 </td><td>0.0 </td><td>Freezium -60C, heat transfer fluid. Produced by Eastman. (R²_cp=0.9963447, R²_rho=1.0000000, R²_eta=0.9999909, R²_lambda=0.9696930) </td></tr>
    <tr><td>TILMedia.Marlotherm_LH </td><td>-30.0 </td><td>360.0 </td><td>-32.0 </td><td>370.0 </td><td>Marlotherm LH, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999376, R²_rho=0.9999826, R²_eta=0.9999879, R²_lambda=0.9995025) </td></tr>
    <tr><td>TILMedia.Marlotherm_SH </td><td>0.0 </td><td>360.0 </td><td>-2.0 </td><td>370.0 </td><td>Marlotherm SH, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999482, R²_rho=0.9999860, R²_eta=0.9999998, R²_lambda=0.9999965) </td></tr>
    <tr><td>TILMedia.Marlotherm_XC </td><td>-90.0 </td><td>300.0 </td><td>-92.5 </td><td>312.5 </td><td>Marlotherm XC, heat transfer fluid. Produced by Eastman. (R²_cp=0.9998873, R²_rho=0.9999962, R²_eta=0.9999982, R²_lambda=0.9997738) </td></tr>
    <tr><td>TILMedia.Novec7500 </td><td>-70.0 </td><td>130.0 </td><td>-70.0 </td><td>130.0 </td><td>The 3M Novec 7500 High-Tech Engineered Fluid </td></tr>
    <tr><td>TILMedia.Obsolete_Therminol59 </td><td>-50.0 </td><td>320.0 </td><td>-73.1 </td><td>476.9 </td><td>Therminol 59 by Fragol </td></tr>
    <tr><td>TILMedia.Obsolete_Therminol66 </td><td>0.0 </td><td>380.0 </td><td>-13.1 </td><td>476.9 </td><td>Therminol 66 by Fragol </td></tr>
    <tr><td>TILMedia.Obsolete_Therminol72 </td><td>-10.0 </td><td>380.0 </td><td>-73.1 </td><td>476.9 </td><td>Therminol 72 by Fragol </td></tr>
    <tr><td>TILMedia.Obsolete_TherminolD12 </td><td>-85.0 </td><td>260.0 </td><td>-123.1 </td><td>476.9 </td><td>Therminol D12 by Fragol </td></tr>
    <tr><td>TILMedia.Oil_15W40 </td><td>-20.0 </td><td>160.0 </td><td>-123.1 </td><td>326.9 </td><td>Oil 15W40 </td></tr>
    <tr><td>TILMedia.Oil_Aral0W30 </td><td>-20.0 </td><td>160.0 </td><td>-73.1 </td><td>276.9 </td><td>Oil Aral 0W30 </td></tr>
    <tr><td>TILMedia.SHC_XMP320 </td><td>0.0 </td><td>200.0 </td><td>-73.1 </td><td>476.9 </td><td>Mobilgear SHC XMP 320 </td></tr>
    <tr><td>TILMedia.SHC_XMP320_B </td><td>0.0 </td><td>150.0 </td><td>-73.1 </td><td>476.9 </td><td>Mobilgear SHC XMP 320 </td></tr>
    <tr><td>TILMedia.Therminol_54 </td><td>-28.0 </td><td>310.0 </td><td>-30.5 </td><td>322.5 </td><td>Therminol 54, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999415, R²_rho=0.9999808, R²_eta=0.9999435, R²_lambda=0.9994501) </td></tr>
    <tr><td>TILMedia.Therminol_55 </td><td>-28.0 </td><td>320.0 </td><td>-30.5 </td><td>332.5 </td><td>Therminol 55, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999461, R²_rho=0.9999823, R²_eta=0.9999435, R²_lambda=0.9999904) </td></tr>
    <tr><td>TILMedia.Therminol_59 </td><td>-49.0 </td><td>330.0 </td><td>-51.0 </td><td>340.0 </td><td>Therminol 59, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999349, R²_rho=0.9999811, R²_eta=0.9999949, R²_lambda=0.9999942) </td></tr>
    <tr><td>TILMedia.Therminol_62 </td><td>-23.0 </td><td>340.0 </td><td>-25.0 </td><td>350.0 </td><td>Therminol 62, heat transfer fluid. Produced by Eastman. (R²_cp=0.9998650, R²_rho=0.9999882, R²_eta=0.9999962, R²_lambda=0.9999857) </td></tr>
    <tr><td>TILMedia.Therminol_66 </td><td>-3.0 </td><td>370.0 </td><td>-5.0 </td><td>380.0 </td><td>Therminol 66, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999431, R²_rho=0.9999808, R²_eta=0.9999967, R²_lambda=0.9999621) </td></tr>
    <tr><td>TILMedia.Therminol_68 </td><td>-20.0 </td><td>360.0 </td><td>-22.0 </td><td>370.0 </td><td>Therminol 68, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999994, R²_rho=0.9999738, R²_eta=0.9999999, R²_lambda=0.9990540) </td></tr>
    <tr><td>TILMedia.Therminol_72 </td><td>-14.0 </td><td>380.0 </td><td>-2.5 </td><td>392.5 </td><td>Therminol 72, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999992, R²_rho=0.9999920, R²_eta=0.9999801, R²_lambda=0.9996138) </td></tr>
    <tr><td>TILMedia.Therminol_75 </td><td>71.0 </td><td>385.0 </td><td>69.0 </td><td>395.0 </td><td>Therminol 75, heat transfer fluid. Produced by Eastman. (R²_cp=0.9998922, R²_rho=0.9995534, R²_eta=0.9999983, R²_lambda=0.9999842) </td></tr>
    <tr><td>TILMedia.Therminol_ADX-10 </td><td>-56.0 </td><td>290.0 </td><td>-58.5 </td><td>302.5 </td><td>Therminol ADX-10, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999351, R²_rho=0.9999864, R²_eta=0.9999915, R²_lambda=0.9999962) </td></tr>
    <tr><td>TILMedia.Therminol_D-12 </td><td>-94.0 </td><td>250.0 </td><td>-96.5 </td><td>262.5 </td><td>Therminol D-12, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999339, R²_rho=0.9999656, R²_eta=1.0000000, R²_lambda=0.9999975) </td></tr>
    <tr><td>TILMedia.Therminol_LT </td><td>-73.0 </td><td>315.0 </td><td>-75.0 </td><td>325.0 </td><td>Therminol LT, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999110, R²_rho=0.9999860, R²_eta=0.9999525, R²_lambda=0.9999979) </td></tr>
    <tr><td>TILMedia.Therminol_SP </td><td>-28.0 </td><td>320.0 </td><td>-30.5 </td><td>332.5 </td><td>Therminol SP, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999461, R²_rho=0.9999823, R²_eta=0.9999435, R²_lambda=0.9999904) </td></tr>
    <tr><td>TILMedia.Therminol_VLT </td><td>-135.0 </td><td>180.0 </td><td>-137.0 </td><td>190.0 </td><td>Therminol VLT, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999335, R²_rho=0.9999817, R²_eta=0.9999999, R²_lambda=0.9999968) </td></tr>
    <tr><td>TILMedia.Therminol_VP-1 </td><td>12.0 </td><td>420.0 </td><td>10.0 </td><td>430.0 </td><td>Therminol VP-1, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999153, R²_rho=0.9999877, R²_eta=0.9999991, R²_lambda=0.9999980) </td></tr>
    <tr><td>TILMedia.Therminol_XP </td><td>-20.0 </td><td>330.0 </td><td>-22.0 </td><td>340.0 </td><td>Therminol XP, heat transfer fluid. Produced by Eastman. (R²_cp=0.9999581, R²_rho=0.9999822, R²_eta=1.0000000, R²_lambda=0.9999918) </td></tr>
    <tr><td>TILMedia.Tyfocor30 </td><td>-15.0 </td><td>100.0 </td><td>-43.1 </td><td>156.9 </td><td>Tyfocor 30 %vol by Tyforop Chemie </td></tr>
    <tr><td>TILMedia.Tyfocor45 </td><td>-30.0 </td><td>100.0 </td><td>-43.1 </td><td>156.9 </td><td>Tyfocor 45 %vol by Tyforop Chemie </td></tr>
    <tr><td>TILMedia.TyfocorL33 </td><td>-15.0 </td><td>100.0 </td><td>-43.1 </td><td>156.9 </td><td>Tyfocor 33 %vol by Tyforop Chemie </td></tr>
    <tr><td>TILMedia.Water </td><td>0.0 </td><td>185.0 </td><td>-23.1 </td><td>276.9 </td><td>Water </td></tr>
    <tr><td>TILMedia.ZitrecM10 </td><td>-10.0 </td><td>100.0 </td><td>-23.1 </td><td>126.9 </td><td>Zitrec M-10 by Fragol </td></tr>
    <tr><td>TILMedia.ZitrecM20 </td><td>-20.0 </td><td>100.0 </td><td>-33.1 </td><td>126.9 </td><td>Zitrec M-20 by Fragol </td></tr>
    <tr><td>TILMediaXTR.Ammonia </td><td>-77.6 </td><td>91.3 </td><td>-232.6 </td><td>131.7 </td><td>Ammonia </td></tr>
    <tr><td>TILMediaXTR.Argon </td><td>-189.3 </td><td>-139.2 </td><td>-258.1 </td><td>-122.3 </td><td>Argon </td></tr>
    <tr><td>TILMediaXTR.Carbon_Dioxide </td><td>-56.5 </td><td>-0.6 </td><td>-242.7 </td><td>30.9 </td><td>Carbon dioxide </td></tr>
    <tr><td>TILMediaXTR.Carbon_Monoxide </td><td>-204.5 </td><td>-153.6 </td><td>-259.9 </td><td>-140.3 </td><td>Carbon monoxide </td></tr>
    <tr><td>TILMediaXTR.DryAir </td><td>-213.4 </td><td>-154.7 </td><td>-259.9 </td><td>-140.4 </td><td>Dry air </td></tr>
    <tr><td>TILMediaXTR.Hydrogen </td><td>-259.2 </td><td>-243.4 </td><td>-269.8 </td><td>-240.1 </td><td>Hydrogen </td></tr>
    <tr><td>TILMediaXTR.Methane </td><td>-182.5 </td><td>-91.2 </td><td>-254.1 </td><td>-88.1 </td><td>Methane </td></tr>
    <tr><td>TILMediaXTR.Nitrogen </td><td>-209.7 </td><td>-160.5 </td><td>-260.5 </td><td>-147.0 </td><td>Nitrogen </td></tr>
    <tr><td>TILMediaXTR.Nitrous_Oxide </td><td>-90.8 </td><td>4.7 </td><td>-242.2 </td><td>36.4 </td><td>Nitrous oxide </td></tr>
    <tr><td>TILMediaXTR.Oxygen </td><td>-218.1 </td><td>-136.2 </td><td>-257.7 </td><td>-118.6 </td><td>Oxygen </td></tr>
    <tr><td>TILMediaXTR.Sulfur_Dioxide </td><td>-75.4 </td><td>114.3 </td><td>-230.1 </td><td>157.2 </td><td>Sulfur dioxide </td></tr>
    <tr><td>TILMediaXTR.Water </td><td>1.0 </td><td>304.3 </td><td>-208.4 </td><td>373.9 </td><td>Water </td></tr>
    <tr><td>IIR_SWF.3M_Novec_HFE7100 </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Hydrofluoroether - HFE-7100 3M Novec </td></tr>
    <tr><td>IIR_SWF.Baysilone_KT3 </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Polydimethylsiloxan 1 - Baysilone KT3 </td></tr>
    <tr><td>IIR_SWF.Dowtherm_J </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Diethylbenzene mixture - Dowtherm J </td></tr>
    <tr><td>IIR_SWF.Dynalene_MV </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Hydrocarbon blend - Dynalene MV </td></tr>
    <tr><td>IIR_SWF.d_Limonene </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Citrus oil terpene - d-Limonene </td></tr>
    <tr><td>IIR_SWF.Gilotherm_D12 </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Hydrocarbon mixture - Gilotherm D12 </td></tr>
    <tr><td>IIR_SWF.Marlotherm_X </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Synthetic alkyl benzene - Marlotherm X </td></tr>
    <tr><td>IIR_SWF.Syltherm_XLT </td><td> </td><td> </td><td>-80.0 </td><td>100.0 </td><td>Polydimethylsiloxan 2 - Syltherm XLT </td></tr>
</table><br><br>

<h4>Liquid Mixtures Names TILMedia</h4>
For Liquid mixture the mass or volume fraction can be set via underline behind the medium name.<br>
E.g. Glysantin_33 (or 33wt) corresponds 33 weight/mass % glycol and Glysantin_44vol corresponds 44 volume %.<br>
The Liquid mixture names plus permitted inputs (weight or volume %) and valid range are given in the below table.<br>
If no min/max-values are listed for xi (weight/mass) or vol (volume), this input is not supported.<br>
Internal conversion between weight and volume fraction are based on manufacturer data at one temperature (20 °C).<br>
Minimum &amp; maximum temperatures are listed equivalent to pure Liquids (see table description before).<br><br>
xi_min - Minimum mass (weight) fraction.<br>
xi_max - Maximum mass (weight) fraction.<br>
vol_min - Minimum volume fraction.<br>
vol_max - Maximum volume fraction.<br><br>
<table border=\"1\">
    <tr><th>Substance name</th><th>T_data_min</th><th>T_data_max</th><th>T_min</th><th>T_max</th><th>xi_min</th><th>xi_max</th><th>vol_min</th><th>vol_max</th><th>Description</th></tr>
    <tr><td>TILMedia.Dynalene_Calcium_Chloride </td><td>-40.0 </td><td>37.8 </td><td>-41.0 </td><td>39.0 </td><td>0.15 </td><td>0.32 </td><td> </td><td> </td><td>Dynalene Calcium Chloride, calcium chloride-based heat transfer fluid. </td></tr>
    <tr><td>TILMedia.Dynalene_EG </td><td>-34.4 </td><td>104.4 </td><td>-34.9 </td><td>104.8 </td><td>0.22 </td><td>0.628 </td><td>0.2 </td><td>0.6 </td><td>Dynalene EG, ethylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Dynalene_EG-V1 </td><td>-34.4 </td><td>104.4 </td><td>-34.9 </td><td>104.8 </td><td>0.208 </td><td>0.612 </td><td>0.2 </td><td>0.6 </td><td>Dynalene EG-V1, ethylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Dynalene_LC-EG </td><td>-34.4 </td><td>104.4 </td><td>-34.9 </td><td>104.8 </td><td>0.22 </td><td>0.628 </td><td>0.2 </td><td>0.6 </td><td>Dynalene LC-EG, low electrical conductivity, ethylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Dynalene_LC-PG </td><td>-28.9 </td><td>104.4 </td><td>-29.3 </td><td>104.8 </td><td>0.208 </td><td>0.612 </td><td>0.2 </td><td>0.6 </td><td>Dynalene LC-PG, low electrical conductivity, propylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Dynalene_PG </td><td>-34.4 </td><td>104.4 </td><td>-34.9 </td><td>104.8 </td><td>0.208 </td><td>0.612 </td><td>0.2 </td><td>0.6 </td><td>Dynalene PG, propylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Dynalene_PG-V1 </td><td>-28.9 </td><td>104.4 </td><td>-29.3 </td><td>104.8 </td><td>0.208 </td><td>0.612 </td><td>0.2 </td><td>0.6 </td><td>Dynalene PG-V1, propylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Dynalene_TEG </td><td>0.0 </td><td>200.0 </td><td>-10.0 </td><td>201.6 </td><td>0.22 </td><td>0.628 </td><td>0.2 </td><td>0.6 </td><td>Dynalene TEG, triethylene glycol coolant. </td></tr>
    <tr><td>TILMedia.Glysantin </td><td>-46.0 </td><td>120.0 </td><td>-56.0 </td><td>131.9 </td><td>0.0 </td><td>0.812 </td><td>0.0 </td><td>0.8 </td><td>Glysantin, ethylene glycol/water-based coolant. </td></tr>
    <tr><td>TILMedia.Obsolete_Glysantin </td><td>-40.0 </td><td>120.0 </td><td>-40.0 </td><td>120.0 </td><td>0.3 </td><td>0.6 </td><td>0.279 </td><td>0.579 </td><td>BASF Glysantin G 48 </td></tr>
    <tr><td>TILMedia.PropyleneGlycol </td><td> </td><td> </td><td>-50.0 </td><td>100.0 </td><td>0.3 </td><td>0.6 </td><td>0.288 </td><td>0.577 </td><td>Propylene glycol </td></tr>
    <tr><td>IIR_SWF.Ammonia-Water </td><td> </td><td> </td><td>-100.0 </td><td>30.0 </td><td>0.0 </td><td>0.3 </td><td> </td><td> </td><td>Ammonia (NH3) - aq </td></tr>
    <tr><td>IIR_SWF.CalciumChloride-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.3 </td><td> </td><td> </td><td>Calcium Chloride (CaCl2) - aq </td></tr>
    <tr><td>IIR_SWF.EthylAlcohol-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.6 </td><td> </td><td> </td><td>Ethyl Alcohol (Ethanol) - aq </td></tr>
    <tr><td>IIR_SWF.EthyleneGlycol-Water </td><td> </td><td> </td><td>-100.0 </td><td>100.0 </td><td>0.0 </td><td>0.6 </td><td> </td><td> </td><td>Ethylene Glycol - aq </td></tr>
    <tr><td>IIR_SWF.Glycerol-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.6 </td><td> </td><td> </td><td>Glycerol - aq </td></tr>
    <tr><td>IIR_SWF.LithiumChloride-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.24 </td><td> </td><td> </td><td>Lithium Chloride (LiCl) - aq </td></tr>
    <tr><td>IIR_SWF.MagnesiumChloride-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.3 </td><td> </td><td> </td><td>Magnesium Chloride (MgCl2) - aq </td></tr>
    <tr><td>IIR_SWF.MethylAlcohol-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.6 </td><td> </td><td> </td><td>Methyl Alcohol (Methanol) - aq </td></tr>
    <tr><td>IIR_SWF.PotassiumAcetate-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.45 </td><td> </td><td> </td><td>Potassium Acetate (CH3CO2K) - aq </td></tr>
    <tr><td>IIR_SWF.PotassiumCarbonate-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.4 </td><td> </td><td> </td><td>Potassium Carbonate (K2CO3) - aq </td></tr>
    <tr><td>IIR_SWF.PotassiumFormate-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.48 </td><td> </td><td> </td><td>Potassium Formate (CHKO2) - aq </td></tr>
    <tr><td>IIR_SWF.PropyleneGlycol-Water </td><td> </td><td> </td><td>-100.0 </td><td>100.0 </td><td>0.0 </td><td>0.6 </td><td> </td><td> </td><td>Propylene Glycol - aq </td></tr>
    <tr><td>IIR_SWF.SodiumChloride-Water </td><td> </td><td> </td><td>-100.0 </td><td>40.0 </td><td>0.0 </td><td>0.23 </td><td> </td><td> </td><td>Sodium Chloride (NaCl) - aq </td></tr>
</table><br><br>

<h4>VLEFluid Names TILMedia</h4>
<table border=\"1\">
    <tr>
        <th>Substance name</th>
        <th>Comment</th>
    </tr>
    <tr>
        <td>TILMedia.1-BUTENE </td>
        <td>CAS number 106-98-9, 1-butene, 1-butylene, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ACETONE </td>
        <td>CAS number 67-64-1, propanone, dimethyl ketone, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.AMMONIA </td>
        <td>CAS number 7664-41-7, ammonia, R-717, EOS models: {FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.ARGON </td>
        <td>CAS number 7440-37-1, argon, R-740, EOS models: {FEK, FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.CARBONYLSULFIDE </td>
        <td>CAS number 463-58-1, carbon oxide sulfide, carbon oxysulfide, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.CO2 </td>
        <td>The calculation isn't valid below the triplepoint: p=5.18 bar, T=216.59 K </td>
    </tr>
    <tr>
        <td>TILMedia.CO2(EOS=AClibReferenceProperties) </td>
        <td>CAS number 124-38-9, carbon dioxide, R-744 </td>
    </tr>
    <tr>
        <td>TILMedia.CO2(EOS=AClibTechnical) </td>
        <td>CAS number 124-38-9, carbon dioxide, R-744 </td>
    </tr>
    <tr>
        <td>TILMedia.CYCLOPENTANE </td>
        <td>CAS number 287-92-3, cyclopentane, C5H10, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.D4 </td>
        <td>CAS number 556-67-2, octamethylcyclotetrasiloxane, D4, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.D5 </td>
        <td>CAS number 541-02-6, decamethylcyclopentasiloxane, D5, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.DEUTERIUM </td>
        <td>CAS number 7782-39-0, deuterium, deuterium, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.DIMETHYLCARBONATE </td>
        <td>CAS number 616-38-6, dimethyl ester carbonic acid, DMC, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.DIMETHYLETHER </td>
        <td>CAS number 115-10-6, methoxymethane, RE-170, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ETHANE </td>
        <td>CAS number 74-84-0, ethane, R-170, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ETHANOL </td>
        <td>The calculation isn't valid below the triplepoint: p=~0.001 Pa, T=159.0 K </td>
    </tr>
    <tr>
        <td>TILMedia.ETHYLBENZENE </td>
        <td>CAS number 100-41-4, phenylethane, benzene, ethyl-, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ETHYLENE </td>
        <td>CAS number 74-85-1, ethene, R-1150, EOS models: {FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.HEAVYWATER </td>
        <td>CAS number 7789-20-0, deuterium oxide, deuterium oxide, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.HELIUM </td>
        <td>CAS number 7440-59-7, helium-4, R-704, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.HYDROGEN </td>
        <td>CAS number 1333-74-0, hydrogen (normal), R-702, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.HYDROGENSULFIDE </td>
        <td>CAS number 7783-06-4, hydrogen sulfide, dihydrogen monosulfide, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ISOBUTANE </td>
        <td>CAS number 75-28-5, 2-methylpropane, R-600a, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ISOPENTANE </td>
        <td>CAS number 78-78-4, 2-methylbutane, R-601a, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.KRYPTON </td>
        <td>CAS number 7439-90-9, krypton, R-784, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.M-XYLENE </td>
        <td>CAS number 108-38-3, 1,3-dimethylbenzene, m-xylene, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.MD4M </td>
        <td>CAS number 107-52-8, tetradecamethylhexasiloxane, MD4M, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.METHANE </td>
        <td>CAS number 74-82-8, methane, R-50, EOS models: {FEK, FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.METHANOL </td>
        <td>CAS number 67-56-1, Methanol, Methyl alcohol, EOS models: {E1, FE1, FE2, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.METHYLLINOLEATE </td>
        <td>CAS number 112-63-0, methyl (Z,Z)-9,12-octadecadienoate, methyl ester(Z,Z)-9,12-octadecadienoic acid, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.METHYLOLEATE </td>
        <td>CAS number 112-62-9, methyl cis-9-octadecenoate, methyl ester oleic acid, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.METHYLPALMITATE </td>
        <td>CAS number 112-39-0, methyl hexadecanoate, methyl ester palmitic acid, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.METHYLSTEARATE </td>
        <td>CAS number 112-61-8, methyl octadecanoate, methyl ester stearic acid, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.MM </td>
        <td>CAS number 107-46-0, hexamethyldisiloxane, MM, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.N-BUTANE </td>
        <td>CAS number 106-97-8, n-butane, R-600, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.N-DODECANE </td>
        <td>CAS number 112-40-3, dodecane, n-dodecane, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.N-NONANE </td>
        <td>CAS number 111-84-2, nonane, n-nonane, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.NEON </td>
        <td>CAS number 7440-01-9, neon, R-720, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.NEOPENTANE </td>
        <td>CAS number 463-82-1, 2,2-dimethylpropane, tetramethylmethane, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.NITROGEN </td>
        <td>CAS number 7727-37-9, nitrogen, R-728, EOS models: {FEK, FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.NITROUSOXIDE </td>
        <td>CAS number 10024-97-2, dinitrogen monoxide, R-744A, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.O-XYLENE </td>
        <td>CAS number 95-47-6, 1,2-dimethylbenzene, o-xylene, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.ORTHOHYDROGEN </td>
        <td>CAS number 1333-74-0o, Orthohydrogen, R-702o, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.OXYGEN </td>
        <td>CAS number 7782-44-7, oxygen, R-732, EOS models: {FEK, FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.P-XYLENE </td>
        <td>CAS number 106-42-3, 1,4-dimethylbenzene, p-xylene, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.PARAHYDROGEN </td>
        <td>CAS number 1333-74-0p, parahydrogen, R-702p, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.PROPANE </td>
        <td>CAS number 74-98-6, propane, R-290, EOS models: {FEK, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.PROPYLENE </td>
        <td>CAS number 115-07-1, propene, R-1270, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R113 </td>
        <td>CAS number 76-13-1, 1,1,2-trichloro-1,2,2-trifluoroethane, CFC-113, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R116 </td>
        <td>CAS number 76-16-4, hexafluoroethane, FC-116, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R12 </td>
        <td>CAS number 75-71-8, dichlorodifluoromethane, CFC-12, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R1233ZDE </td>
        <td>CAS number 102687-65-0, trans-1-chloro-3,3,3-trifluoro-1-propene, HFO-1233zd(E), EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R1234YF </td>
        <td>CAS number 754-12-1, 2,3,3,3-tetrafluoroprop-1-ene, R-1234yf, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R1234ZEE </td>
        <td>CAS number 29118-24-9, trans-1,3,3,3-tetrafluoropropene, HFO-1234ze(E), EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R1234ZEZ </td>
        <td>CAS number 29118-25-0, cis-1,3,3,3-tetrafluoropropene, HFO-1234ze(Z), EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R124 </td>
        <td>CAS number 2837-89-0, 1-chloro-1,2,2,2-tetrafluoroethane, HCFC-124, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R125 </td>
        <td>CAS number 354-33-6, pentafluoroethane, HFC-125, EOS models: {FE1, FE4} </td>
    </tr>
    <tr>
        <td>TILMedia.R1336MZZZ </td>
        <td>CAS number 692-49-9, (Z)-1,1,1,4,4,4-Hexafluoro-2-butene, R1336mzz(Z), EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R134A </td>
        <td>The calculation isn't valid below the triplepoint: p=389.6 Pa, T=169.85 K </td>
    </tr>
    <tr>
        <td>TILMedia.R141B </td>
        <td>CAS number 1717-00-6, 1,1-dichloro-1-fluoroethane, HCFC-141b, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R142B </td>
        <td>CAS number 75-68-3, 1-chloro-1,1-difluoroethane, HCFC-142b, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R143A </td>
        <td>CAS number 420-46-2, 1,1,1-trifluoroethane, HFC-143a, EOS models: {FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.R161 </td>
        <td>CAS number 353-36-6, fluoroethane, ethyl fluoride, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R218 </td>
        <td>CAS number 76-19-7, octafluoropropane, perfluoropropane, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R22 </td>
        <td>CAS number 75-45-6, Chlorodifluoromethane, HCFC-22, EOS models: {FE1, FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.R227EA </td>
        <td>CAS number 431-89-0, 1,1,1,2,3,3,3-heptafluoropropane, HFC-227ea, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R23 </td>
        <td>CAS number 75-46-7, trifluoromethane, HFC-23, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R245FA </td>
        <td>The calculation isn't valid below the triplepoint: p=12.5 Pa, T=171.05 K </td>
    </tr>
    <tr>
        <td>TILMedia.R32 </td>
        <td>CAS number 75-10-5, difluoromethane, HFC-32, EOS models: {FE2, FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R365MFC </td>
        <td>CAS number 406-58-6, 1,1,1,3,3-pentafluorobutane, HFC-365mfc, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.R404APPF </td>
        <td>The calculation isn't valid below the triplepoint: p=0.227 bar, T=200.0 K </td>
    </tr>
    <tr>
        <td>TILMedia.R407CPPF </td>
        <td>The calculation isn't valid below the triplepoint: p=0.192 bar, T=200.0 K </td>
    </tr>
    <tr>
        <td>TILMedia.R410APPF </td>
        <td>The calculation isn't valid below the triplepoint: p=0.292 bar, T=200.0 K </td>
    </tr>
    <tr>
        <td>TILMedia.R507APPF </td>
        <td>50% R125/50% R143a, R507A, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.RC318 </td>
        <td>CAS number 115-25-3, octafluorocyclobutane, FC-C318, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.SES36 </td>
        <td>EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.SULFURHEXAFLUORIDE </td>
        <td>CAS number 2551-62-4, sulfur hexafluoride, sulfur fluoride, EOS models: {FEQ, FES} </td>
    </tr>
    <tr>
        <td>TILMedia.TOLUENE </td>
        <td>CAS number 108-88-3, methylbenzene, toluene, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>TILMedia.WATER </td>
        <td>The calculation isn't valid below the triplepoint: p=612.5 Pa, T=273.16 K </td>
    </tr>
    <tr>
        <td>TILMedia.XENON </td>
        <td>CAS number 7440-63-3, xenon, EOS models: {FEQ} </td>
    </tr>
    <tr>
        <td>- </td>
        <td> </td>
    </tr>
    <tr>
        <td>TILMediaRT.CO2 </td>
        <td> </td>
    </tr>
    <tr>
        <td>TILMediaRT.R1234yf </td>
        <td> </td>
    </tr>
    <tr>
        <td>TILMediaRT.R134a </td>
        <td> </td>
    </tr>
    <tr>
        <td>TILMediaRT.R407C </td>
        <td> </td>
    </tr>
    <tr>
        <td>TILMediaRT.R410A </td>
        <td> </td>
    </tr>
    <tr>
        <td>TILMediaRT.Water </td>
        <td> </td>
    </tr>
</table><br><br>

<h4>VLEFluid Names REFPROP</h4>
<table border=\"1\">
    <tr>
        <th>Substance name</th>
        <th>Substance name</th>
        <th>Substance name</th>
    </tr>
    <tr>
        <td>Refprop.13BUTADIENE.FLD </td>
        <td>Refprop.1BUTENE.FLD </td>
        <td>Refprop.1BUTYNE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.1PENTENE.FLD </td>
        <td>Refprop.22DIMETHYLBUTANE.FLD </td>
        <td>Refprop.23DIMETHYLBUTANE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.3METHYLPENTANE.FLD </td>
        <td>Refprop.ACETONE.FLD </td>
        <td>Refprop.ACETYLENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.AIR.MIX </td>
        <td>Refprop.AIR.PPF </td>
        <td>Refprop.AMARILLO.MIX </td>
    </tr>
    <tr>
        <td>Refprop.AMMONIA.FLD </td>
        <td>Refprop.ARGON.FLD </td>
        <td>Refprop.BENZENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.BUTANE.FLD </td>
        <td>Refprop.C11.FLD </td>
        <td>Refprop.C12.FLD </td>
    </tr>
    <tr>
        <td>Refprop.C16.FLD </td>
        <td>Refprop.C1CC6.FLD </td>
        <td>Refprop.C22.FLD </td>
    </tr>
    <tr>
        <td>Refprop.C2BUTENE.FLD </td>
        <td>Refprop.C3CC6.FLD </td>
        <td>Refprop.C4F10.FLD </td>
    </tr>
    <tr>
        <td>Refprop.C5F12.FLD </td>
        <td>Refprop.C6F14.FLD </td>
        <td>Refprop.CF3I.FLD </td>
    </tr>
    <tr>
        <td>Refprop.CHLORINE.FLD </td>
        <td>Refprop.CHLOROBENZENE.FLD </td>
        <td>Refprop.CO.FLD </td>
    </tr>
    <tr>
        <td>Refprop.CO2.FLD </td>
        <td>Refprop.CO2_ACL.FLD </td>
        <td>Refprop.COS.FLD </td>
    </tr>
    <tr>
        <td>Refprop.CYCLOBUTENE.FLD </td>
        <td>Refprop.CYCLOHEX.FLD </td>
        <td>Refprop.CYCLOPEN.FLD </td>
    </tr>
    <tr>
        <td>Refprop.CYCLOPRO.FLD </td>
        <td>Refprop.D2.FLD </td>
        <td>Refprop.D2O.FLD </td>
    </tr>
    <tr>
        <td>Refprop.D4.FLD </td>
        <td>Refprop.D5.FLD </td>
        <td>Refprop.D6.FLD </td>
    </tr>
    <tr>
        <td>Refprop.DEA.FLD </td>
        <td>Refprop.DECANE.FLD </td>
        <td>Refprop.DEE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.DMC.FLD </td>
        <td>Refprop.DME.FLD </td>
        <td>Refprop.EBENZENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.EGLYCOL.FLD </td>
        <td>Refprop.EKOFISK.MIX </td>
        <td>Refprop.ETHANE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.ETHANOL.FLD </td>
        <td>Refprop.ETHYLENE.FLD </td>
        <td>Refprop.ETHYLENEOXIDE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.FLUORINE.FLD </td>
        <td>Refprop.GLFCOAST.MIX </td>
        <td>Refprop.H2S.FLD </td>
    </tr>
    <tr>
        <td>Refprop.HCL.FLD </td>
        <td>Refprop.HELIUM.FLD </td>
        <td>Refprop.HEPTANE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.HEXANE.FLD </td>
        <td>Refprop.HFE-7100.FLD </td>
        <td>Refprop.HFE-7200.FLD </td>
    </tr>
    <tr>
        <td>Refprop.HFE-7300.FLD </td>
        <td>Refprop.HFE-7500.FLD </td>
        <td>Refprop.HIGHCO2.MIX </td>
    </tr>
    <tr>
        <td>Refprop.HIGHN2.MIX </td>
        <td>Refprop.HYDROGEN.FLD </td>
        <td>Refprop.IBUTENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.IHEXANE.FLD </td>
        <td>Refprop.IOCTANE.FLD </td>
        <td>Refprop.IPENTANE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.ISOBUTAN.FLD </td>
        <td>Refprop.KRYPTON.FLD </td>
        <td>Refprop.MD2M.FLD </td>
    </tr>
    <tr>
        <td>Refprop.MD3M.FLD </td>
        <td>Refprop.MD4M.FLD </td>
        <td>Refprop.MDM.FLD </td>
    </tr>
    <tr>
        <td>Refprop.MEA.FLD </td>
        <td>Refprop.METHANE.FLD </td>
        <td>Refprop.METHANOL.FLD </td>
    </tr>
    <tr>
        <td>Refprop.MLINOLEA.FLD </td>
        <td>Refprop.MLINOLEN.FLD </td>
        <td>Refprop.MM.FLD </td>
    </tr>
    <tr>
        <td>Refprop.MOLEATE.FLD </td>
        <td>Refprop.MPALMITA.FLD </td>
        <td>Refprop.MSTEARAT.FLD </td>
    </tr>
    <tr>
        <td>Refprop.MXYLENE.FLD </td>
        <td>Refprop.N2O.FLD </td>
        <td>Refprop.NEON.FLD </td>
    </tr>
    <tr>
        <td>Refprop.NEOPENTN.FLD </td>
        <td>Refprop.NF3.FLD </td>
        <td>Refprop.NGSAMPLE.MIX </td>
    </tr>
    <tr>
        <td>Refprop.NITROGEN.FLD </td>
        <td>Refprop.NONANE.FLD </td>
        <td>Refprop.NOVEC649.FLD </td>
    </tr>
    <tr>
        <td>Refprop.NOVEC7000.FLD </td>
        <td>Refprop.NOVEC774.FLD </td>
        <td>Refprop.OCTANE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.ORTHOHYD.FLD </td>
        <td>Refprop.OXYGEN.FLD </td>
        <td>Refprop.OXYLENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.PARAHYD.FLD </td>
        <td>Refprop.PENTANE.FLD </td>
        <td>Refprop.PROPADIENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.PROPANE.FLD </td>
        <td>Refprop.PROPYLEN.FLD </td>
        <td>Refprop.PROPYLENEOXIDE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.PROPYNE.FLD </td>
        <td>Refprop.PXYLENE.FLD </td>
        <td>Refprop.R11.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R1123.FLD </td>
        <td>Refprop.R113.FLD </td>
        <td>Refprop.R114.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R115.FLD </td>
        <td>Refprop.R116.FLD </td>
        <td>Refprop.R12.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R1216.FLD </td>
        <td>Refprop.R1224YDZ.FLD </td>
        <td>Refprop.R123.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R1233ZDE.FLD </td>
        <td>Refprop.R1234YF.FLD </td>
        <td>Refprop.R1234ZEE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R1234ZEZ.FLD </td>
        <td>Refprop.R124.FLD </td>
        <td>Refprop.R1243ZF.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R125.FLD </td>
        <td>Refprop.R13.FLD </td>
        <td>Refprop.R1336MZZZ.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R134A.FLD </td>
        <td>Refprop.R14.FLD </td>
        <td>Refprop.R141B.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R142B.FLD </td>
        <td>Refprop.R143A.FLD </td>
        <td>Refprop.R150.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R152A.FLD </td>
        <td>Refprop.R161.FLD </td>
        <td>Refprop.R21.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R218.FLD </td>
        <td>Refprop.R22.FLD </td>
        <td>Refprop.R227EA.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R23.FLD </td>
        <td>Refprop.R236EA.FLD </td>
        <td>Refprop.R236FA.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R245CA.FLD </td>
        <td>Refprop.R245FA.FLD </td>
        <td>Refprop.R32.FLD </td>
    </tr>
    <tr>
        <td>Refprop.R365MFC.FLD </td>
        <td>Refprop.R40.FLD </td>
        <td>Refprop.R401A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R401B.MIX </td>
        <td>Refprop.R401C.MIX </td>
        <td>Refprop.R402A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R402B.MIX </td>
        <td>Refprop.R403A.MIX </td>
        <td>Refprop.R403B.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R404A.MIX </td>
        <td>Refprop.R404A.PPF </td>
        <td>Refprop.R405A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R406A.MIX </td>
        <td>Refprop.R407A.MIX </td>
        <td>Refprop.R407B.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R407C.MIX </td>
        <td>Refprop.R407C.PPF </td>
        <td>Refprop.R407D.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R407E.MIX </td>
        <td>Refprop.R407F.MIX </td>
        <td>Refprop.R407G.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R407H.MIX </td>
        <td>Refprop.R408A.MIX </td>
        <td>Refprop.R409A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R409B.MIX </td>
        <td>Refprop.R41.FLD </td>
        <td>Refprop.R410A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R410A.PPF </td>
        <td>Refprop.R410B.MIX </td>
        <td>Refprop.R411A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R411B.MIX </td>
        <td>Refprop.R412A.MIX </td>
        <td>Refprop.R413A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R414A.MIX </td>
        <td>Refprop.R414B.MIX </td>
        <td>Refprop.R415A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R415B.MIX </td>
        <td>Refprop.R416A.MIX </td>
        <td>Refprop.R417A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R417B.MIX </td>
        <td>Refprop.R417C.MIX </td>
        <td>Refprop.R418A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R419A.MIX </td>
        <td>Refprop.R419B.MIX </td>
        <td>Refprop.R420A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R421A.MIX </td>
        <td>Refprop.R421B.MIX </td>
        <td>Refprop.R422A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R422B.MIX </td>
        <td>Refprop.R422C.MIX </td>
        <td>Refprop.R422D.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R422E.MIX </td>
        <td>Refprop.R423A.MIX </td>
        <td>Refprop.R424A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R425A.MIX </td>
        <td>Refprop.R426A.MIX </td>
        <td>Refprop.R427A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R428A.MIX </td>
        <td>Refprop.R429A.MIX </td>
        <td>Refprop.R430A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R431A.MIX </td>
        <td>Refprop.R432A.MIX </td>
        <td>Refprop.R433A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R433B.MIX </td>
        <td>Refprop.R433C.MIX </td>
        <td>Refprop.R434A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R435A.MIX </td>
        <td>Refprop.R436A.MIX </td>
        <td>Refprop.R436B.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R437A.MIX </td>
        <td>Refprop.R438A.MIX </td>
        <td>Refprop.R439A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R440A.MIX </td>
        <td>Refprop.R441A.MIX </td>
        <td>Refprop.R442A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R443A.MIX </td>
        <td>Refprop.R444A.MIX </td>
        <td>Refprop.R444B.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R445A.MIX </td>
        <td>Refprop.R446A.MIX </td>
        <td>Refprop.R447A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R447B.MIX </td>
        <td>Refprop.R448A.MIX </td>
        <td>Refprop.R449A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R449B.MIX </td>
        <td>Refprop.R449C.MIX </td>
        <td>Refprop.R450A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R451A.MIX </td>
        <td>Refprop.R451B.MIX </td>
        <td>Refprop.R452A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R452B.MIX </td>
        <td>Refprop.R452C.MIX </td>
        <td>Refprop.R453A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R454A.MIX </td>
        <td>Refprop.R454B.MIX </td>
        <td>Refprop.R454C.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R455A.MIX </td>
        <td>Refprop.R456A.MIX </td>
        <td>Refprop.R457A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R458A.MIX </td>
        <td>Refprop.R459A.MIX </td>
        <td>Refprop.R459B.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R460A.MIX </td>
        <td>Refprop.R460B.MIX </td>
        <td>Refprop.R500.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R501.MIX </td>
        <td>Refprop.R502.MIX </td>
        <td>Refprop.R503.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R504.MIX </td>
        <td>Refprop.R507A.MIX </td>
        <td>Refprop.R507A.PPF </td>
    </tr>
    <tr>
        <td>Refprop.R508A.MIX </td>
        <td>Refprop.R508B.MIX </td>
        <td>Refprop.R509A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R510A.MIX </td>
        <td>Refprop.R511A.MIX </td>
        <td>Refprop.R512A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.R513A.MIX </td>
        <td>Refprop.R513B.MIX </td>
        <td>Refprop.R515A.MIX </td>
    </tr>
    <tr>
        <td>Refprop.RC318.FLD </td>
        <td>Refprop.RE143A.FLD </td>
        <td>Refprop.RE245CB2.FLD </td>
    </tr>
    <tr>
        <td>Refprop.RE245FA2.FLD </td>
        <td>Refprop.RE347MCC.FLD </td>
        <td>Refprop.SF6.FLD </td>
    </tr>
    <tr>
        <td>Refprop.SO2.FLD </td>
        <td>Refprop.T2BUTENE.FLD </td>
        <td>Refprop.TOLUENE.FLD </td>
    </tr>
    <tr>
        <td>Refprop.VINYLCHLORIDE.FLD </td>
        <td>Refprop.WATER.FLD </td>
        <td>Refprop.XENON.FLD </td>
    </tr>
</table><br><br>

<h4>Gas, Liquid and VLEFluid Names (VDIWA2006)</h4>
<table border=\"1\">
    <tr>
        <th>Substance name</th>
        <th>Substance name</th>
    </tr>
    <tr>
        <td>VDIWA2006.1,1,1-Trichloroethane </td>
        <td>VDIWA2006.1,1,1-Trifluoroethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,1,2,2-tetrachlorodifluoroethane </td>
        <td>VDIWA2006.1,1,2,2-Tetrachloroethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,1,2-trichloro-1,2,2-trifluoroethane </td>
        <td>VDIWA2006.1,1-dichloroethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,1-dichloroethene </td>
        <td>VDIWA2006.1,2,3,4-tetramethylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,2,3,5-tetramethylbenzene </td>
        <td>VDIWA2006.1,2,3-trimethylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,2,4,5-tetramethylbenzene </td>
        <td>VDIWA2006.1,2,4-trimethylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,2-butadiene </td>
        <td>VDIWA2006.1,2-dibromoethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,2-dichloro-1,1,2,2-tetrafluoroethane </td>
        <td>VDIWA2006.1,2-dichloroethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,2-pentadiene </td>
        <td>VDIWA2006.1,3,5-trimethylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,3-butadiene </td>
        <td>VDIWA2006.1,3-pentadiene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,3-Propylenglycol </td>
        <td>VDIWA2006.1,4-dioxane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1,4-pentadiene </td>
        <td>VDIWA2006.1-butene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1-chlorobutane </td>
        <td>VDIWA2006.1-chloropentane </td>
    </tr>
    <tr>
        <td>VDIWA2006.1-chloropropane </td>
        <td>VDIWA2006.1-ethylnaphthalene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1-heptene </td>
        <td>VDIWA2006.1-hexene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1-methylnaphthalene </td>
        <td>VDIWA2006.1-Octene </td>
    </tr>
    <tr>
        <td>VDIWA2006.1-pentene </td>
        <td>VDIWA2006.1-phenylethanone </td>
    </tr>
    <tr>
        <td>VDIWA2006.2,2-dimethylbutane </td>
        <td>VDIWA2006.2,2-dimethylpropane </td>
    </tr>
    <tr>
        <td>VDIWA2006.2,3-dimethylbutane </td>
        <td>VDIWA2006.2,3-pentadiene </td>
    </tr>
    <tr>
        <td>VDIWA2006.2,4,6-trimethyl-1,3,5-trioxane </td>
        <td>VDIWA2006.2-ethylnaphthalene </td>
    </tr>
    <tr>
        <td>VDIWA2006.2-hydroxybenzaldehyde </td>
        <td>VDIWA2006.2-methylbutane </td>
    </tr>
    <tr>
        <td>VDIWA2006.2-methylnaphthalene </td>
        <td>VDIWA2006.2-methylpentane </td>
    </tr>
    <tr>
        <td>VDIWA2006.2-methylpropan-1-ol </td>
        <td>VDIWA2006.2-methylpropane </td>
    </tr>
    <tr>
        <td>VDIWA2006.3-methylpentane </td>
        <td>VDIWA2006.acetaldehyde </td>
    </tr>
    <tr>
        <td>VDIWA2006.acetic anhydride </td>
        <td>VDIWA2006.acetonitrile </td>
    </tr>
    <tr>
        <td>VDIWA2006.acetylene </td>
        <td>VDIWA2006.Ammonia </td>
    </tr>
    <tr>
        <td>VDIWA2006.Argon </td>
        <td>VDIWA2006.benzaldehyde </td>
    </tr>
    <tr>
        <td>VDIWA2006.benzene </td>
        <td>VDIWA2006.benzonitrile </td>
    </tr>
    <tr>
        <td>VDIWA2006.benzophenone </td>
        <td>VDIWA2006.biphenyl </td>
    </tr>
    <tr>
        <td>VDIWA2006.Bromine </td>
        <td>VDIWA2006.bromobenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.Bromocyanide </td>
        <td>VDIWA2006.bromoethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.bromomethane </td>
        <td>VDIWA2006.butan-1-amine </td>
    </tr>
    <tr>
        <td>VDIWA2006.butane </td>
        <td>VDIWA2006.butanenitrile </td>
    </tr>
    <tr>
        <td>VDIWA2006.butanoic acid </td>
        <td>VDIWA2006.butanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.butylbenzene </td>
        <td>VDIWA2006.butylcyclohexane </td>
    </tr>
    <tr>
        <td>VDIWA2006.butylcyclopentane </td>
        <td>VDIWA2006.Carbomethene </td>
    </tr>
    <tr>
        <td>VDIWA2006.carbon dioxide </td>
        <td>VDIWA2006.carbon disulfide </td>
    </tr>
    <tr>
        <td>VDIWA2006.carbon monoxide </td>
        <td>VDIWA2006.carbon suboxide </td>
    </tr>
    <tr>
        <td>VDIWA2006.carbonyl sulfide </td>
        <td>VDIWA2006.Chlorine </td>
    </tr>
    <tr>
        <td>VDIWA2006.chloroacetic acid </td>
        <td>VDIWA2006.chlorobenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.Chlorocyanide </td>
        <td>VDIWA2006.chlorodifluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.chloroethane </td>
        <td>VDIWA2006.Chloroethylene </td>
    </tr>
    <tr>
        <td>VDIWA2006.chloromethane </td>
        <td>VDIWA2006.chloromethylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.chlorotrifluoroethylene </td>
        <td>VDIWA2006.chlorotrifluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.Cyanogen </td>
        <td>VDIWA2006.cyclobutane </td>
    </tr>
    <tr>
        <td>VDIWA2006.cyclohexane </td>
        <td>VDIWA2006.cyclohexanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.cyclohexene </td>
        <td>VDIWA2006.cyclopentane </td>
    </tr>
    <tr>
        <td>VDIWA2006.cyclopentene </td>
        <td>VDIWA2006.cyclopropane </td>
    </tr>
    <tr>
        <td>VDIWA2006.decane </td>
        <td>VDIWA2006.dibromomethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.dichloroacetic acid </td>
        <td>VDIWA2006.dichlorodifluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.dichlorofluoromethane </td>
        <td>VDIWA2006.dichloromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.diethyl ketone </td>
        <td>VDIWA2006.diethyl sulfide </td>
    </tr>
    <tr>
        <td>VDIWA2006.diethylamine </td>
        <td>VDIWA2006.difluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.dimethyl sulfide </td>
        <td>VDIWA2006.dimethylacetylene </td>
    </tr>
    <tr>
        <td>VDIWA2006.dimethylamine </td>
        <td>VDIWA2006.dimethylenemethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.Dinitrogen tetroxide </td>
        <td>VDIWA2006.diphenylamine </td>
    </tr>
    <tr>
        <td>VDIWA2006.diphenylmethane </td>
        <td>VDIWA2006.dodecane </td>
    </tr>
    <tr>
        <td>VDIWA2006.DryAir </td>
        <td>VDIWA2006.ethanamine </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethane </td>
        <td>VDIWA2006.ethanethiol </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethanoic acid </td>
        <td>VDIWA2006.ethanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethene </td>
        <td>VDIWA2006.ethoxyethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethoxypropane </td>
        <td>VDIWA2006.ethyl-acetate </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethyl-benzoate </td>
        <td>VDIWA2006.ethyl-butanoate </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethyl-formate </td>
        <td>VDIWA2006.ethyl-propionate </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethylacetylene </td>
        <td>VDIWA2006.ethylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethylcyclepentane </td>
        <td>VDIWA2006.ethylcyclohexane </td>
    </tr>
    <tr>
        <td>VDIWA2006.ethylene oxide </td>
        <td>VDIWA2006.Ethylenglycol </td>
    </tr>
    <tr>
        <td>VDIWA2006.Fluorine </td>
        <td>VDIWA2006.fluorobenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.Fluorocyanide </td>
        <td>VDIWA2006.fluoroethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.fluoromethane </td>
        <td>VDIWA2006.furan </td>
    </tr>
    <tr>
        <td>VDIWA2006.furan-2-carbaldehyde </td>
        <td>VDIWA2006.glycerin </td>
    </tr>
    <tr>
        <td>VDIWA2006.Helium </td>
        <td>VDIWA2006.heptadecane </td>
    </tr>
    <tr>
        <td>VDIWA2006.heptane </td>
        <td>VDIWA2006.heptanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.hexachloroethane </td>
        <td>VDIWA2006.hexadecane </td>
    </tr>
    <tr>
        <td>VDIWA2006.hexamethylbenzene </td>
        <td>VDIWA2006.hexane </td>
    </tr>
    <tr>
        <td>VDIWA2006.hexanoic acid </td>
        <td>VDIWA2006.hexanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.hexylbenzene </td>
        <td>VDIWA2006.hexylcyclohexane </td>
    </tr>
    <tr>
        <td>VDIWA2006.hexylcyclopentane </td>
        <td>VDIWA2006.Hydrogen </td>
    </tr>
    <tr>
        <td>VDIWA2006.Hydrogen bromide </td>
        <td>VDIWA2006.Hydrogen chloride </td>
    </tr>
    <tr>
        <td>VDIWA2006.Hydrogen cyanide </td>
        <td>VDIWA2006.Hydrogen fluoride </td>
    </tr>
    <tr>
        <td>VDIWA2006.Hydrogen Iodide </td>
        <td>VDIWA2006.Hydrogen sulfide </td>
    </tr>
    <tr>
        <td>VDIWA2006.icosane </td>
        <td>VDIWA2006.Iodine </td>
    </tr>
    <tr>
        <td>VDIWA2006.iodinecyanide </td>
        <td>VDIWA2006.iodobenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.isopentyl alcohol </td>
        <td>VDIWA2006.isopropyl alcohol </td>
    </tr>
    <tr>
        <td>VDIWA2006.Isopropylbenzene </td>
        <td>VDIWA2006.Krypton </td>
    </tr>
    <tr>
        <td>VDIWA2006.m-chlorotoluene </td>
        <td>VDIWA2006.m-cresol </td>
    </tr>
    <tr>
        <td>VDIWA2006.m-nitrotoluene </td>
        <td>VDIWA2006.m-xylene </td>
    </tr>
    <tr>
        <td>VDIWA2006.methanal </td>
        <td>VDIWA2006.methanamide </td>
    </tr>
    <tr>
        <td>VDIWA2006.methane </td>
        <td>VDIWA2006.methanethiol </td>
    </tr>
    <tr>
        <td>VDIWA2006.methanoic acid </td>
        <td>VDIWA2006.methanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.methoxymethane </td>
        <td>VDIWA2006.methoxypropane </td>
    </tr>
    <tr>
        <td>VDIWA2006.methyl ethyl ketone </td>
        <td>VDIWA2006.methyl-acetate </td>
    </tr>
    <tr>
        <td>VDIWA2006.methyl-benzoate </td>
        <td>VDIWA2006.methyl-butanoate </td>
    </tr>
    <tr>
        <td>VDIWA2006.methyl-formate </td>
        <td>VDIWA2006.METHYL-PROPIONATE </td>
    </tr>
    <tr>
        <td>VDIWA2006.methyl-salicylate </td>
        <td>VDIWA2006.methylacetylene </td>
    </tr>
    <tr>
        <td>VDIWA2006.methylamine </td>
        <td>VDIWA2006.methylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.methylcyclohexane </td>
        <td>VDIWA2006.methylcyclopentane </td>
    </tr>
    <tr>
        <td>VDIWA2006.N,N-diethyl-anilin </td>
        <td>VDIWA2006.N,N-dimethyl-anilin </td>
    </tr>
    <tr>
        <td>VDIWA2006.n-methyl-anilin </td>
        <td>VDIWA2006.n-propyl-propionate </td>
    </tr>
    <tr>
        <td>VDIWA2006.naphthalene </td>
        <td>VDIWA2006.Neon </td>
    </tr>
    <tr>
        <td>VDIWA2006.Nitric oxide </td>
        <td>VDIWA2006.nitrobenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.Nitrogen </td>
        <td>VDIWA2006.Nitrogen dioxide </td>
    </tr>
    <tr>
        <td>VDIWA2006.nitromethane </td>
        <td>VDIWA2006.Nitrous oxide </td>
    </tr>
    <tr>
        <td>VDIWA2006.nonadecane </td>
        <td>VDIWA2006.nonane </td>
    </tr>
    <tr>
        <td>VDIWA2006.o-cresol </td>
        <td>VDIWA2006.o-nitrotoluene </td>
    </tr>
    <tr>
        <td>VDIWA2006.o-xylene </td>
        <td>VDIWA2006.octadecane </td>
    </tr>
    <tr>
        <td>VDIWA2006.octane </td>
        <td>VDIWA2006.octanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.Oxygen </td>
        <td>VDIWA2006.p-cresol </td>
    </tr>
    <tr>
        <td>VDIWA2006.p-nitrotoluene </td>
        <td>VDIWA2006.p-xylene </td>
    </tr>
    <tr>
        <td>VDIWA2006.pentachloroethane </td>
        <td>VDIWA2006.pentadecane </td>
    </tr>
    <tr>
        <td>VDIWA2006.pentamethylbenzene </td>
        <td>VDIWA2006.pentane </td>
    </tr>
    <tr>
        <td>VDIWA2006.pentanoic acid </td>
        <td>VDIWA2006.pentanol </td>
    </tr>
    <tr>
        <td>VDIWA2006.pentylbenzene </td>
        <td>VDIWA2006.pentylcyclohexane </td>
    </tr>
    <tr>
        <td>VDIWA2006.pentylcyclopentane </td>
        <td>VDIWA2006.phenol </td>
    </tr>
    <tr>
        <td>VDIWA2006.phenylamine </td>
        <td>VDIWA2006.phenylhydrazine </td>
    </tr>
    <tr>
        <td>VDIWA2006.phenylmethanol </td>
        <td>VDIWA2006.phosgene </td>
    </tr>
    <tr>
        <td>VDIWA2006.piperidine </td>
        <td>VDIWA2006.propane </td>
    </tr>
    <tr>
        <td>VDIWA2006.propanenitrile </td>
        <td>VDIWA2006.propanoic acid </td>
    </tr>
    <tr>
        <td>VDIWA2006.propanol </td>
        <td>VDIWA2006.propanone </td>
    </tr>
    <tr>
        <td>VDIWA2006.propanoyl propanoate </td>
        <td>VDIWA2006.propene </td>
    </tr>
    <tr>
        <td>VDIWA2006.propoxypropane </td>
        <td>VDIWA2006.propyl ketone </td>
    </tr>
    <tr>
        <td>VDIWA2006.propyl-acetate </td>
        <td>VDIWA2006.propyl-formate </td>
    </tr>
    <tr>
        <td>VDIWA2006.propylamine </td>
        <td>VDIWA2006.propylbenzene </td>
    </tr>
    <tr>
        <td>VDIWA2006.propylcyclohexane </td>
        <td>VDIWA2006.propylcyclopentane </td>
    </tr>
    <tr>
        <td>VDIWA2006.pyridine </td>
        <td>VDIWA2006.styrene </td>
    </tr>
    <tr>
        <td>VDIWA2006.Sulfur </td>
        <td>VDIWA2006.sulfur dioxide </td>
    </tr>
    <tr>
        <td>VDIWA2006.sulfur hexafluoride </td>
        <td>VDIWA2006.sulfur trioxide </td>
    </tr>
    <tr>
        <td>VDIWA2006.sulfury chloride </td>
        <td>VDIWA2006.tetrabromomethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.tetrachlorocarbon </td>
        <td>VDIWA2006.tetrachloroethene </td>
    </tr>
    <tr>
        <td>VDIWA2006.tetradecane </td>
        <td>VDIWA2006.tetrafluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.tetraphenylmethane </td>
        <td>VDIWA2006.thiophene </td>
    </tr>
    <tr>
        <td>VDIWA2006.tribromomethane </td>
        <td>VDIWA2006.trichloroacetic acid </td>
    </tr>
    <tr>
        <td>VDIWA2006.trichloroethylene </td>
        <td>VDIWA2006.trichlorofluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.trichloromethane </td>
        <td>VDIWA2006.tridecane </td>
    </tr>
    <tr>
        <td>VDIWA2006.triethylamine </td>
        <td>VDIWA2006.trifluoromethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.trimethylamine </td>
        <td>VDIWA2006.triphenylmethane </td>
    </tr>
    <tr>
        <td>VDIWA2006.undecane </td>
        <td>VDIWA2006.Water </td>
    </tr>
    <tr>
        <td>VDIWA2006.Xenon </td>
    </tr>
</table><br><br>

<h4>VLEFluid (CoolProp)</h4>
<table border=\"1\">
    <tr>
        <th>Substance name</th>
        <th>Substance name</th>
        <th>Substance name</th>
    </tr>
    <tr>
        <td>CoolProp.1-Butene </td>
        <td>CoolProp.Acetone </td>
        <td>CoolProp.Air </td>
    </tr>
    <tr>
        <td>CoolProp.Ammonia </td>
        <td>CoolProp.Argon </td>
        <td>CoolProp.Benzene </td>
    </tr>
    <tr>
        <td>CoolProp.CarbonDioxide </td>
        <td>CoolProp.CarbonMonoxide </td>
        <td>CoolProp.CarbonylSulfide </td>
    </tr>
    <tr>
        <td>CoolProp.cis-2-Butene </td>
        <td>CoolProp.CycloHexane </td>
        <td>CoolProp.Cyclopentane </td>
    </tr>
    <tr>
        <td>CoolProp.CycloPropane </td>
        <td>CoolProp.D4 </td>
        <td>CoolProp.D5 </td>
    </tr>
    <tr>
        <td>CoolProp.D6 </td>
        <td>CoolProp.Deuterium </td>
        <td>CoolProp.Dichloroethane </td>
    </tr>
    <tr>
        <td>CoolProp.DiethylEther </td>
        <td>CoolProp.DimethylCarbonate </td>
        <td>CoolProp.DimethylEther </td>
    </tr>
    <tr>
        <td>CoolProp.Ethane </td>
        <td>CoolProp.Ethanol </td>
        <td>CoolProp.EthylBenzene </td>
    </tr>
    <tr>
        <td>CoolProp.Ethylene </td>
        <td>CoolProp.EthyleneOxide </td>
        <td>CoolProp.Fluorine </td>
    </tr>
    <tr>
        <td>CoolProp.HeavyWater </td>
        <td>CoolProp.Helium </td>
        <td>CoolProp.HFE143m </td>
    </tr>
    <tr>
        <td>CoolProp.Hydrogen </td>
        <td>CoolProp.HydrogenChloride </td>
        <td>CoolProp.HydrogenSulfide </td>
    </tr>
    <tr>
        <td>CoolProp.IsoButane </td>
        <td>CoolProp.IsoButene </td>
        <td>CoolProp.Isohexane </td>
    </tr>
    <tr>
        <td>CoolProp.Isopentane </td>
        <td>CoolProp.Krypton </td>
        <td>CoolProp.m-Xylene </td>
    </tr>
    <tr>
        <td>CoolProp.MD2M </td>
        <td>CoolProp.MD3M </td>
        <td>CoolProp.MD4M </td>
    </tr>
    <tr>
        <td>CoolProp.MDM </td>
        <td>CoolProp.Methane </td>
        <td>CoolProp.Methanol </td>
    </tr>
    <tr>
        <td>CoolProp.MethylLinoleate </td>
        <td>CoolProp.MethylLinolenate </td>
        <td>CoolProp.MethylOleate </td>
    </tr>
    <tr>
        <td>CoolProp.MethylPalmitate </td>
        <td>CoolProp.MethylStearate </td>
        <td>CoolProp.MM </td>
    </tr>
    <tr>
        <td>CoolProp.n-Butane </td>
        <td>CoolProp.n-Decane </td>
        <td>CoolProp.n-Dodecane </td>
    </tr>
    <tr>
        <td>CoolProp.n-Heptane </td>
        <td>CoolProp.n-Hexane </td>
        <td>CoolProp.n-Nonane </td>
    </tr>
    <tr>
        <td>CoolProp.n-Octane </td>
        <td>CoolProp.n-Pentane </td>
        <td>CoolProp.n-Propane </td>
    </tr>
    <tr>
        <td>CoolProp.n-Undecane </td>
        <td>CoolProp.Neon </td>
        <td>CoolProp.Neopentane </td>
    </tr>
    <tr>
        <td>CoolProp.Nitrogen </td>
        <td>CoolProp.NitrousOxide </td>
        <td>CoolProp.Novec649 </td>
    </tr>
    <tr>
        <td>CoolProp.o-Xylene </td>
        <td>CoolProp.OrthoDeuterium </td>
        <td>CoolProp.OrthoHydrogen </td>
    </tr>
    <tr>
        <td>CoolProp.Oxygen </td>
        <td>CoolProp.p-Xylene </td>
        <td>CoolProp.ParaDeuterium </td>
    </tr>
    <tr>
        <td>CoolProp.ParaHydrogen </td>
        <td>CoolProp.Propylene </td>
        <td>CoolProp.Propyne </td>
    </tr>
    <tr>
        <td>CoolProp.R11 </td>
        <td>CoolProp.R113 </td>
        <td>CoolProp.R114 </td>
    </tr>
    <tr>
        <td>CoolProp.R115 </td>
        <td>CoolProp.R116 </td>
        <td>CoolProp.R12 </td>
    </tr>
    <tr>
        <td>CoolProp.R123 </td>
        <td>CoolProp.R1233zd(E) </td>
        <td>CoolProp.R1234yf </td>
    </tr>
    <tr>
        <td>CoolProp.R1234ze(E) </td>
        <td>CoolProp.R1234ze(Z) </td>
        <td>CoolProp.R124 </td>
    </tr>
    <tr>
        <td>CoolProp.R1243zf </td>
        <td>CoolProp.R125 </td>
        <td>CoolProp.R13 </td>
    </tr>
    <tr>
        <td>CoolProp.R134a </td>
        <td>CoolProp.R13I1 </td>
        <td>CoolProp.R14 </td>
    </tr>
    <tr>
        <td>CoolProp.R141b </td>
        <td>CoolProp.R142b </td>
        <td>CoolProp.R143a </td>
    </tr>
    <tr>
        <td>CoolProp.R152A </td>
        <td>CoolProp.R161 </td>
        <td>CoolProp.R21 </td>
    </tr>
    <tr>
        <td>CoolProp.R218 </td>
        <td>CoolProp.R22 </td>
        <td>CoolProp.R227EA </td>
    </tr>
    <tr>
        <td>CoolProp.R23 </td>
        <td>CoolProp.R236EA </td>
        <td>CoolProp.R236FA </td>
    </tr>
    <tr>
        <td>CoolProp.R245ca </td>
        <td>CoolProp.R245fa </td>
        <td>CoolProp.R32 </td>
    </tr>
    <tr>
        <td>CoolProp.R365MFC </td>
        <td>CoolProp.R40 </td>
        <td>CoolProp.R404A </td>
    </tr>
    <tr>
        <td>CoolProp.R407C </td>
        <td>CoolProp.R41 </td>
        <td>CoolProp.R410A </td>
    </tr>
    <tr>
        <td>CoolProp.R507A </td>
        <td>CoolProp.RC318 </td>
        <td>CoolProp.SES36 </td>
    </tr>
    <tr>
        <td>CoolProp.SulfurDioxide </td>
        <td>CoolProp.SulfurHexafluoride </td>
        <td>CoolProp.Toluene </td>
    </tr>
    <tr>
        <td>CoolProp.trans-2-Butene </td>
        <td>CoolProp.Water </td>
        <td>CoolProp.Xenon </td>
    </tr>
</table><br><br>

<h4>Gas Names NASA</h4>
The 2024 substances from the NASA Glenn Coefficients are available but not listed here.
<br>

</html>"));

end SubstanceNames;